Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044803
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] A. Platformminorhave not tried2020-08-12 16:592020-10-15 12:51
ReportershuehnerView Statuspublic 
Assigned Toplatform 
PrioritynormalResolutionfixedFixed in VersionPR21Q1
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044803: Support for old-style callout (HttpServletBased and not SimpleCallout) should be removed (for generated-Windows, ad_callout)

DescriptionAll modern callouts are based on SimpleCallout after a mass-refactor in issue 36067 (17Q4 release).
Even before then new callouts written were using SimpleCallout for several years.

To simplify the code in FormInitializionComponent the support for the old system should be removed.

Also this support for old callouts is one of the two only cases where backend code is needing a JS execution engine which will require extra work to continue to be usable with JDK>=15 (see issue 43903)

This issue specifically is about code registered in ad_callout and used FormInitializationComtent (as part of generated standard windows)
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on design defect 0044795 newTriage Finance Tracking issue to refactor remaining old callouts to extend SimpleCallout 
related to design defect 0043903 closedcberner Openbravo fails to compile with JDK15 because of removal of Nashorn JS engine 
blocks design defect 0044811 newplatform Support for old-style callout (HttpServletBased and not SimpleCallout) should be removed totally even when used in manual HTML 
causes defect 0045231 closedcberner API Change: Removed HttpServletCalloutInformationProvider class 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0123030)
hgbot (developer)
2020-09-14 18:01

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/163 [^]
(0123033)
hgbot (developer)
2020-09-14 18:08

Merge request closed: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/163 [^]
(0123034)
hgbot (developer)
2020-09-14 18:08

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/164 [^]
(0123712)
hgbot (developer)
2020-10-15 12:51

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/164 [^]
(0123713)
hgbot (developer)
2020-10-15 12:51

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: f41ef039ca5f7a424f8567a99e5855f3d780e8a6
Author: Cristian Berner <cristian.berner@openbravo.com>
Date: 2020-10-15T11:30:18+02:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/f41ef039ca5f7a424f8567a99e5855f3d780e8a6 [^]

Fixes ISSUE-44803: Remove support for old-style (HttpServlet based) callouts

All modern callouts are based on SimpleCallout and this should always be
used as a base. Support for old callouts based on HttpServlet is
removed from ad_callout and FormInitializationContent.

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/ViewComponent.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/FormInitializationComponent.java
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-view-manager.js
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/KernelServlet.java
M src-test/src/org/openbravo/test/AllAntTaskTests.java
M src/org/openbravo/erpCommon/ad_callouts/CalloutConstants.java
R src-test/src/org/openbravo/test/system/OldCallouts.java
R src/org/openbravo/erpCommon/ad_callouts/HttpServletCalloutInformationProvider.java
---
(0123714)
hgbot (developer)
2020-10-15 12:51

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: 7dab7882d5d9e700a6a59a0c30f65c0a90f12b07
Author: Cristian Berner <cristian.berner@openbravo.com>
Date: 2020-10-15T11:30:18+02:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/7dab7882d5d9e700a6a59a0c30f65c0a90f12b07 [^]

Related to ISSUE-44803: Fail on View generation when callout not implemented

When a callout class implementation is not found or there's no callout
implementation in the corresponding table, View generation will fail
with an exception. Previously it only failed with an exception on
Callouts that used old callout type based on HttpServlet.

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/ViewComponent.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/FormInitializationComponent.java
---

- Issue History
Date Modified Username Field Change
2020-08-12 16:59 shuehner New Issue
2020-08-12 16:59 shuehner Assigned To => platform
2020-08-12 16:59 shuehner Modules => Core
2020-08-12 16:59 shuehner Triggers an Emergency Pack => No
2020-08-12 16:59 shuehner Relationship added depends on 0044795
2020-08-12 16:59 shuehner Relationship added related to 0043903
2020-08-13 15:37 shuehner Summary Support for old-style callout (HttpServletBased and not SimpleCallout) should be removed => Support for old-style callout (HttpServletBased and not SimpleCallout) should be removed (for generated-Windows, ad_callout)
2020-08-13 15:37 shuehner Description Updated View Revisions
2020-08-13 15:47 shuehner Issue cloned 0044811
2020-08-13 15:47 shuehner Relationship added blocks 0044811
2020-09-14 18:01 hgbot Note Added: 0123030
2020-09-14 18:08 hgbot Note Added: 0123033
2020-09-14 18:08 hgbot Note Added: 0123034
2020-10-15 12:35 cberner Relationship added causes 0045231
2020-10-15 12:51 hgbot Resolution open => fixed
2020-10-15 12:51 hgbot Status new => closed
2020-10-15 12:51 hgbot Note Added: 0123712
2020-10-15 12:51 hgbot Fixed in Version => PR21Q1
2020-10-15 12:51 hgbot Note Added: 0123713
2020-10-15 12:51 hgbot Note Added: 0123714


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker